Payment Initialization

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Inline Payment

When using the inline payment instead of redirecting, please pass the reference sent back in the response into the inline payment so we can track the payment and update the status appropriately

Payment With Card

The request for payment with a user's already saved tokenized card details should look like this:

curl --location --request POST 'https://sandbox-api.6thbridge.com/payments/v1/payments/initialize' \
--header 'client-id: {{client-id}}' \
--header 'client-secret: {{secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "reference": "{{}}",
    "amount": 100000,
    "provider": "flutterwave",
    "redirectURL":"https://6thbridge.com",
    "webhook": "https://webhook.site/a8477a0b-43fd-445a-a8ed-78add3145827",
    "user":{
        "email":"[email protected]",
        "name: "customer name",
        "phoneNumber":"23470xxxxxxxx"
    }
}'

The response will come back like this:

{
    "data": {
        "provider": "flutterwave",
        "channel": "card",
        "reference": "c73de229-1ebf-4fee-af44-5f8778210bd6_1650646386",
        "amount": 100000,
        "data": {
            "message": "Click on <a href=\"https://ravemodal-dev.herokuapp.com/v3/hosted/pay/3bd5abba70f91d26c4b8\">this link</a> to complete your payment request",
            "link": "https://ravemodal-dev.herokuapp.com/v3/hosted/pay/3bd5abba70f91d26c4b8",
            "reference": "amstel_c73de229-1ebf-4fee-af44-5f8778210bd6_1650646386",
            "publicKey": "{{providersPublicKey}}"
        }
    }
}

Payment With Virtual Bank Account

The request for payment with a virtual bank account should look like this:

{
    "reference": "{{$guid}}",
    "provider": "flutterwave-virtual-bank-account",
    "amount": 100000,
    "redirectURL": "https://webhook.site/a8477a0b-43fd-445a-a8ed-78add3145827",
    "user":{
        "email":"[email protected]",
        "name: "customer name",
        "phoneNumber":"23470xxxxxxxx"
    },
    "webhook": "https://webhook.site/a8477a0b-43fd-445a-a8ed-78add3145827"
}

The response will come back like this

{
    "data": {
        "provider": "flutterwave-virtual-bank-account",
        "channel": "virtual-bank-account",
        "reference": "amstel_b3ad33b2-8f67-47b0-8a6f-96aa74b3ad75_1650646734",
        "amount": 100000,
        "data": {
            "message": "Transfer <b>1000</b> to <br/>Bank Name: <b>TEST BANK</b> <br/> Account Name: <b>amstel(amstel)</b> <br/> Account Number: <b>1234567890</b>  to complete your payment request",
            "accountName": "amstel(amstel)",
            "accountNumber": "1234567890",
            "bankName": "TEST BANK"
        }
    }
Body Params
int32
required
Defaults to 10000

The amount to collect in kobo.

string

A unique set of character to identify the payment transaction, if none is passed we will generate one

string
Defaults to paystack

Provider to use for the payment, if no provider is provider, the default provider set in the integrations will be used

string
Defaults to https://your-redirect-url

This will be passed to the provider, so when redirecting to the providers generated URL, they can redirect back to you.

string
Defaults to https://webhook-to-post-confirmation

When the webhook is supplied, payment confirmation event from 6thbridge will be sent to this URL overriding the webhook configurations set on the integrations and events configurations

boolean
Defaults to false

This will let us calculate and add the providers charge to the user

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json